I have a rotate feature set up and I have a tag for the block. When I rotate the block, the text rotates as I have set it up to do but it turns upside down or sideways as the block rotates. I would like the text to stay the same orientation but just move round with the block as the example below.
How I rotate a block but set the text to stay readable.
At the moment I have a 600x600 light fitting with a Tag inside for typing the letter of the fitting. E.G. Type A, B, C
I have a rotate function also so I can rotate the fitting to the orientation of the room.
But when I rotate the fitting the text rotates also, therefore if I turn the fitting round 90 degrees the text is on its side. How do I rotate the block but leave the text orientation the correct way?
I have blocks inserted in papers pace, the blocks are setup to plan read. All look good, but when I plot they all rotate 90 degree to read portrait, not landscape. This dosn't happen on all drawings. is there a setting for this?
Protected Overrides Function Sampler(ByVal prompts As JigPrompts) As SamplerStatus Dim myPPR As PromptPointResult myPPR = prompts.AcquirePoint(myOpts) Dim curPos As Point3d curPos = myPPR.Value If curPos.IsEqualTo(BasePt) Then Return SamplerStatus.NoChange Else myMatrix = Geometry.Matrix3d.Displacement( _ BasePt.GetVectorTo(myPPR.Value)) Dim pt1 As New Point2d(BasePt.X, BasePt.Y) Dim pt2 As New Point2d(myPPR.Value.X, myPPR.Value.Y) BaseRo = pt1.GetVectorTo(pt2).Angle End If Return SamplerStatus.OK End If End Function Protected Overrides Function Update() As Boolean myBRef.Rotation = BaseRo Return False End Function
I always rotate the block with bottom left point as fixed point. What can I do to make the block rotate around another point? such as centre point of the block?
I have a simple block, I would like to do the following:
Type: Insert
Specify: Block Name
Click spot with cursor to have the block placed
Rotate the block for orientation
I know that if I use the Tool Pallets I can specify rotate on insert, but do not always want to use the Pallete. I also know I can assign a rotation parameter to the block so I can grip and rotate after insertion. Is there an easier way?
Have a number of std blocks with a single part number located centrally within a circle similar to std grid line coordinates used on architectural plans.
Is there a simple way to set the block up with its part number fixed centrally so that when the block is inserted at different rotation angles the part number always appears central within the circle and upright.
Forget lisp as only have LT.how to centralise the text within an attribute so its always central when block is rotated.
I'm trying to get a dynamic block to rotate the attached attributes from a left justification in the vertical position to a center justification in the horizontal position. I managed to do this with 2 Visibility States, but anyway to do this with only the one set of attributes. I'm using AutoCAD 2012.
Is it possible to make a dynamical block where the attribute is horizontal in combination of the alignment parameter (not rotate)? If I align to an arc the attribute need to stay at an horizontal position.
I am trying to have a dynamic block that will show the profile of a steel plate, detailing the angle of a bevel. Including the plate thickness, the land, gap and the actual angle of the bevel. I've gotten most of it figured out, but having a grip to SET the angle at a specific number, while maintaining the drawing's integrity is proving difficult. I have attached the block I have created so far (minus the previous attempts to rotate the beveled angle).
BVL_detail.dwg
The base point of the rotate parameter should be at the junction of the bevel & land. I need it to stay connected to the end point of the top-most flat line as it rotates, which means the lines need to stretch to match the changing angle. It will either rotate that line along with it, or if I apply a stretch tool, it gets all disconnected and just plain wrong.
One of the things I am liking about my current set up is I can grab a grip, and then type the number I need and it will pop on into place. Was hoping for the same effect if I typed in the angle, it would be exactly that, while also adjusting the drawing.
I have a block of a circle and a line coming from the left and right side quadrant of the circle to a common point (see pic). I want to create a dynamic block using a Stretch and Rotate parameter. You select the block, the Rotate point (grip) shows at the end of the two lines. I can grab that grip and rotate both lines and circle by moving this point around the screen, but cannot Stretch this point to a new location at the same time. How can I have the Rotation end point follow the Stretch parameter?
I have used annotative text and selected yes for match orientation to layout for the text. In the viewport it is rotating automatically with the view, however the boxes around the text do not rotate as well. Is there anyway to automate this?
The Client requires a key plan which has all the pipe data on it. The key plan is oriented in one direction. Then for the plan & profile drawings, the plan is oriented in another direction. I don't want to have two create two sets of text (one for the key plan and one for the plan/profile drawing). How can I use one set of text and make it work in the key plan and for all the plan/profile drawings? Image is attached.
I know this is located in other locations but I can't seem to make it work with my block.
I would like the cross and the text N to rotate independantly of the arrow while the N stays with the thick line. That's the easy part. How can I make the N move along the rotation path and keep the text aligned horizontally? I read something about linked action and move, but I can't make it work.
I have the below code (from a user here on the forum) which works great for aligning text, mtext and blocks to 2 points. For annotative entities, it respects the rotation angle for mtext and text.
ie I have an mtext object at 1"=20' scale and at 1"=40' scale. I run the command when the current annotative scale is 1"=40'. The object at 40' scale has changed, but the 20' scale is unchanged. This is working as I would like it to.
But for annotative blocks, it gets weirded out. In the above example, the block at 40' will rotate, but so will the attributes at 20' scale. But linework and hatching at 20' scale will be unchanged. it looks really weird. how to get it to play nice with blocks. Ideally, I'd like the block to be at different rotation angles in different annotative scales.
(defun C:R2P (/ ss ang edata); = Rotate objects to align with 2 Points (setq ss (ssget '((0 . "*TEXT,INSERT"))) ang (angle (getpoint " First alignment point: ") (getpoint " Second alignment point: ")) ) (repeat (sslength ss) (setq edata (entget (ssname ss 0))) (entmod (subst (cons 50 ang) (assoc 50 edata) edata)) (ssdel (ssname ss 0) ss) ))
I found a program which rotates selected block(s) about thier insertion point. I modified it to rotate each of the block(s) about the y-axis. Works great. Now, I would like to change it so that it rotates a copy of each block about the y-axis and leaves the origial block in place. Its kind of like the mirror command exept it is rotating the new block(s) to the other side instead of flipping them. I want to keep all or the parameters of the block(s) the same as each original. I am using AutoCAD 2010. MOCORO is not recognized as a command. The new features workshop says to use the new command AMCOPYRM, which is not recognized either. Go figure.
(defun RotateDuplication (/ CN ENT theObjects SS) (vl-load-com) (setq SS (ssget (list (cons 0 "INSERT")))) (repeat (setq CN (sslength SS)) (setq CN (1- CN) ENT (ssname SS CN)
I have a block that I would like make dynamic. It is a fishhook arrow for a roundabout traffic sign. I would like to rotate the head to various angles, and have the body of the arrow adjust. I already have the ability to stretch the two end points in their direction, and rotate the head, but the curved part of the arrow body needs to adjust for the new head location. I tried dynamic stretch, but it would not attach to the rotate dimension. How do I get these arcs to stretch along their radii and associate the end arc points to the near end of arrow head?
I had one thought of using multipe arcs so that they would overlap more or less as rotated, but this is a pretty crude workaround.
Is there a way that I can create a block with text ('A') and when I insert the block and populate the block another block block will update also? I am wanting to create a block for x-sec flags, and detail callouts that update their detail titles.
I'm having a problem with some annotative text. The text is set to "match orientation". which is fine, except the text rotates on the grip tab on the lower left of the text instead of the insertion point.
This is how it should look with the two bits of text above each other, except matching orientation:
MODEL.jpg
This is how it does look:
VPORT.jpg
the lot number is justified to the bottom center, and the area to the top center, so in theory, they should show correctly at any orientation.
So I have set up a new style for rotate balloon text in Inventor 2011. But I am running into a problem when I pull the balloon away from the view to have a leader it does not stay rotated.
I'm making this diagram of the load condition acting on tunnels to explain a Japanese set of equations that are used for the structural analysis for tunnels:
load condition for EEM.jpg
But, there is one problem I have. I'm trying to set up the text for the dimension between the water table and the tunnel "Ha" to look horizontal.
However, if I click on the properties box and write 90 in the rotation box right next to where it says "text rotation," the dimension text does not rotate 90 degrees; if instead I try to rotate it 180° then it only rotates 90° (and in the opposite direction) instead of 180°. It doesn't matter how many degrees I choose, it won't rotate my dimension "Ha" to desired angle to make it look horizontal.
OK I know it's hard to explain my problem with just writing, so I've posted a few pictures:
In this one, the dimension is at 0°; I've only opened the properties box to attempt and rotate it: no rotation.jpg
Now I write 90 in properties box but the dimension text does not rotate at all; it remains at 0 as it is shown in the following image: 90 & no rotation.jpg
Next I try to rotate 180, just to see what happens; and it does rotate (only 90 degrees!): 180 rotates 90.jpg
I finally try to rotate the text 270 just to see if it rotates to desired angle and it does rotate (180 degrees from original position). As shown below:
270 last try.jpg
It doesn't matter how many degrees I choose, I cannot make it look horizontal.
How can I set up my dimension text "Ha" to look horizontal?
I'm looking for a lisp routine that allow me to select a text object that is rotated to anything other than zero, and it will change the text object to zero rotation and while still in the command allow me to place the text object on the screen.
I have a routine that is similiar called RT180 but it just rotates whatever text object you select 180 degrees from its current rotation, but I can not figure out how to modify it to rotate to zero rotation angle. What I like about RT180 is that you select your text it rotates it on the spot and then lets you pick a spot to place it.
How to rotate ordinate dimension text in Inventor 2014? Currently the dimensions are horizontal but I would like them to line up with the dimension lines (top and bottom dimensions are vertical)
I frequently use tolerance and fits when modelling and retreive them to use them in drawings. The text on these dimensions is always horizontal . Any time I have vertical dimension on drawings (e.g. several diameters in a stepped bore) the horizontal text takes up way too much real estate. e.g. 18.0000 g6 (17.999 17.998)
I would like to align the text to the dimension lines (i.e. text vertical in this case) In Properties Rotate is greyed out. Is there a way to keep my retrieved dims and have them aligned with the dim lines in the drawing?
I was wondering if there is a setting somewhere that could hold my snapmode settings after I use a lisp routine. I found a lisp routine to rotate text and have noticed that everytime I use that lisp command I lose my osnap settings....
I would like to use the entmod method to rotate the text in a Multileader object. Reading the DXF code tells me the dotted pair of 42 seems to be the rotation angle, but entmoding that does nothing. Obviously I don't know how to modify this complex object.